Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
problema installazione gnome
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Tue May 08, 2018 4:26 pm    Post subject: problema installazione gnome Reply with quote

Ho un problema che non mi permette di installare gnome, fallisce la compilazione di gnome-todo questo e il build log

https://paste.pound-python.org/show/Z192ndG75FA6WikrSYOT/

spero qualcuno possa aiutarmi.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20099
Location: here

PostPosted: Tue May 08, 2018 4:52 pm    Post subject: Reply with quote

Che versione di dev-libs/libical hai installato?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Tue May 08, 2018 5:00 pm    Post subject: Reply with quote

3.0.3
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20099
Location: here

PostPosted: Tue May 08, 2018 5:12 pm    Post subject: Reply with quote

Prova a fare il downgrade alla 2.0.0-r3 vedo dal sorgente che nella versione 3.x il metodo is_utc e' stato rimosso mentre nella verisone 2.x e' ancora valido
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Tue May 08, 2018 5:14 pm    Post subject: Reply with quote

ecco :( :

Code:

sysresccd / # emerge -u =dev-libs/libical-2.0.0-r3

 * IMPORTANT: 2 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.

Calculating dependencies... done!
[ebuild     UD ] dev-libs/libical-2.0.0-r3 [3.0.3]

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/libical:0

  (dev-libs/libical-2.0.0-r3:0/2::dantrell-gnome, ebuild scheduled for merge) pulled in by
    =dev-libs/libical-2.0.0-r3 (Argument)

  (dev-libs/libical-3.0.3:0/3::dantrell-gnome, installed) pulled in by
    dev-libs/libical:0/3= required by (mail-client/evolution-3.26.6:2.0/2.0::dantrell-gnome-3-26, installed)
                    ^^^^^                                                                                                                       
    (and 4 more with the same problem)

NOTE: Use the '--verbose-conflicts' option to display parents omitted above

It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


!!! The following installed packages are masked:
- dev-python/pygobject-3.24.1::gentoo (masked by: package.mask)
- gnome-base/dconf-0.26.1::gentoo (masked by: package.mask)
- net-misc/modemmanager-1.6.12::gentoo (masked by: package.mask)
- dev-python/pycairo-1.16.3-r1::gentoo (masked by: package.mask)
- dev-cpp/glibmm-2.50.1::dantrell-gnome (masked by: package.mask)
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20099
Location: here

PostPosted: Tue May 08, 2018 6:02 pm    Post subject: Reply with quote

Ok allora non puoi fare il downgrade della libreria, come workaround potresti disabilitare la use flag todo al pacchetto gnome-base/gnome-extra-apps cosi' non ti compilera' gnome-todo
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20099
Location: here

PostPosted: Tue May 08, 2018 6:15 pm    Post subject: Reply with quote

Ho anche postato il problema nel relativo thread di Gnome without systemd
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Tue May 08, 2018 6:30 pm    Post subject: Reply with quote

grande ha funzionato :)
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20099
Location: here

PostPosted: Wed May 09, 2018 9:57 am    Post subject: Reply with quote

Problema di gnome-todo risolto, se rifai un sync ora puoi installarlo
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Thu May 10, 2018 11:22 am    Post subject: Reply with quote

perche` mi da questi pacchetti l'update ??:

Total: 70 packages (3 upgrades, 2 new, 3 in new slots, 62 reinstalls), Size of downloads: 12151 KiB

percosa ne vuole reinstallare 62 ? e` necessario ?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20099
Location: here

PostPosted: Thu May 10, 2018 11:25 am    Post subject: Reply with quote

Devi postare tutto l'output di emerge se no non posso risponderti
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Thu May 10, 2018 12:07 pm    Post subject: Reply with quote

Code:
Burrows /home/marco # emerge --ask -uDNv --with-bdeps y --backtrack=300 --verbose-conflict @world --autounmask -n

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U #] dev-libs/openssl-1.1.1_pre6:0/1.1::gentoo [1.0.2o:0/0::gentoo] USE="asm zlib -bindist -rfc3779 -sctp -static-libs {-test} -tls-heartbeat* -vanilla (-gmp%) (-kerberos%) (-sslv2%) (-sslv3%*)" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="(sse2)" 0 KiB
[ebuild  NS    ] sys-kernel/gentoo-sources-4.16.8:4.16.8::gentoo [4.14.35:4.14.35::gentoo, 4.16.7:4.16.7::gentoo] USE="-build -experimental -symlink" 210 KiB
[ebuild  rR    ] dev-perl/Net-SSLeay-1.820.0::gentoo  USE="-examples -libressl -minimal {-test}" 0 KiB
[ebuild  rR    ] net-misc/iputils-20171016_pre-r1::gentoo  USE="arping filecaps ipv6 ssl -SECURITY_HAZARD -caps -clockdiff -doc -gcrypt -idn -libressl -nettle -rarpd -rdisc -static -tftpd -tracepath -traceroute" 0 KiB
[ebuild  NS    ] dev-lang/ruby-2.5.1:2.5::gentoo [2.3.7:2.3::gentoo] USE="berkdb gdbm ipv6 rdoc ssl -debug -doc -examples -jemalloc -libressl -rubytests -socks5 -static-libs -tk -xemacs" 11086 KiB
[ebuild   R    ] dev-ruby/rubygems-2.7.6::gentoo  USE="-server {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild   R    ] virtual/rubygems-14::gentoo  RUBY_TARGETS="ruby23 ruby25* (-rbx) -ruby24" 0 KiB
[ebuild  N     ] dev-ruby/xmlrpc-0.3.0::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25 -ruby24" 34 KiB
[ebuild  NS    ] dev-ruby/did_you_mean-1.2.1:2.5::gentoo [1.0.2:1::gentoo] USE="{-test}" RUBY_TARGETS="ruby25" 21 KiB
[ebuild   R    ] dev-ruby/net-telnet-0.1.1-r1:1::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild   R    ] dev-ruby/rake-12.3.1::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild   R    ] dev-ruby/minitest-5.11.3:5::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild   R    ] dev-ruby/power_assert-1.1.1::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild   R    ] dev-ruby/json-2.1.0:2::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild   R    ] dev-ruby/test-unit-3.2.7:2::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild  rR    ] dev-lang/ruby-2.3.7:2.3::gentoo  USE="berkdb gdbm ipv6 ncurses rdoc readline ssl -debug -doc -examples -jemalloc -libressl -rubytests -socks5 -tk -xemacs" 0 KiB
[ebuild   R    ] dev-ruby/racc-1.4.14::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild   R    ] dev-ruby/kpeg-1.1.0:1::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild   R    ] dev-ruby/rdoc-6.0.1::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild   R    ] dev-ruby/rdiscount-2.2.0.1::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild   R    ] dev-ruby/rake-compiler-1.0.4::gentoo  USE="{-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild  rR    ] www-client/w3m-0.5.3_p20180125::gentoo  USE="X nls ssl unicode -fbcon -gdk-pixbuf -gpm -imlib -libressl -lynxkeymap -nntp -xface" L10N="-de -ja" 0 KiB
[ebuild   R    ] x11-libs/libXScrnSaver-1.2.2-r1::gentoo  USE="-static-libs" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] dev-libs/cyrus-sasl-2.1.26-r11:2::gentoo  USE="berkdb gdbm pam ssl -authdaemond -java -kerberos -ldapdb -libressl -mysql -openldap -postgres -sample (-selinux) -sqlite -srp -static-libs -urandom" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild  rR    ] net-nds/openldap-2.4.45::gentoo  USE="berkdb crypt ipv6 minimal ssl syslog tcpd -cxx -debug -experimental -gnutls -iodbc -kerberos -kinit -libressl -odbc -overlays -pbkdf2 -perl -samba -sasl (-selinux) -sha2 -slp -smbkrb5passwd -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild  rR    ] net-misc/curl-7.59.0::gentoo  USE="ipv6 ldap ssl -adns -brotli -http2 -idn -kerberos -metalink -rtmp -samba -ssh -static-libs {-test} -threads" ABI_X86="32 (64) (-x32)" CURL_SSL="openssl -axtls -gnutls -libressl -mbedtls -nss (-winssl)" 0 KiB
[ebuild  rR    ] net-misc/dhcp-4.4.1::gentoo  USE="client ipv6 ldap server ssl -libressl (-selinux) -vim-syntax" 0 KiB
[ebuild  rR    ] app-admin/apache-tools-2.4.33::gentoo  USE="ssl -libressl" 0 KiB
[ebuild  rR    ] www-servers/apache-2.4.33:2::gentoo  USE="ldap ssl -debug -doc -libressl (-selinux) -static -suexec -threads" APACHE2_MODULES="actions alias auth_basic auth_digest authn_alias authn_anon authn_core authn_dbm authn_file authz_core authz_dbm authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir env expires ext_filter file_cache filter headers include info log_config logio mime mime_magic negotiation rewrite setenvif socache_shmcb speling status unique_id unixd userdir usertrack vhost_alias -access_compat -asis -authn_dbd -authz_dbd -brotli -cache_disk -cache_socache -cern_meta -charset_lite -dbd -dumpio -http2 -ident -imagemap -lbmethod_bybusyness -lbmethod_byrequests -lbmethod_bytraffic -lbmethod_heartbeat -log_forensic -macro -proxy -proxy_ajp -proxy_balancer -proxy_connect -proxy_fcgi -proxy_ftp -proxy_html -proxy_http -proxy_scgi -proxy_wstunnel -ratelimit -remoteip -reqtimeout -slotmem_shm -substitute -version -watchdog -xml2enc" APACHE2_MPMS="-event -prefork -worker" 0 KiB
[ebuild  rR    ] net-wireless/wpa_supplicant-2.6-r6::gentoo  USE="dbus hs2-0 readline ssl -ap -eap-sim -eapol_test -fasteap -gnutls -libressl -p2p -privsep (-ps3) -qt5 (-selinux) -smartcard -tdls -uncommon-eap-types (-wimax) -wps" 0 KiB
[ebuild  rR    ] dev-lang/python-2.7.14-r2:2.7::gentoo  USE="bluetooth gdbm ipv6 ncurses readline sqlite ssl (threads) (wide-unicode) xml (-berkdb) -build -doc -examples -hardened -libressl -tk -wininst" 0 KiB
[ebuild  rR    ] dev-lang/python-3.5.5-r1:3.5/3.5m::gentoo  USE="bluetooth gdbm ipv6 ncurses readline sqlite ssl (threads) xml -build -examples -hardened -libressl {-test} -tk -wininst" 0 KiB
[ebuild  rR    ] app-arch/libarchive-3.3.2:0/13::gentoo  USE="acl bzip2 e2fsprogs iconv lzma threads xattr zlib -expat -libressl -lz4 -lzo -nettle -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild  rR    ] net-dns/bind-tools-9.12.1::gentoo  USE="ipv6 readline seccomp ssl xml -doc -gost -gssapi -idn -libedit -libressl -urandom" 0 KiB
[ebuild  rR    ] net-libs/neon-0.30.2:0/27::gentoo  USE="nls ssl zlib -doc -expat -gnutls -kerberos -libproxy -libressl -pkcs11 -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild  rR    ] net-libs/nodejs-8.11.1::gentoo  USE="icu npm snapshot ssl -debug -doc -inspector -systemtap {-test}" CPU_FLAGS_X86="sse2" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild     U  ] x11-libs/libdrm-2.4.92::gentoo [2.4.91::gentoo] USE="-libkms -valgrind" ABI_X86="32 (64) (-x32)" VIDEO_CARDS="intel -amdgpu (-exynos) (-freedreno) -nouveau (-omap) -radeon (-tegra) (-vc4) (-vivante) -vmware" 803 KiB
[ebuild  rR    ] dev-python/m2crypto-0.27.0-r1::gentoo  USE="-libressl" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild  rR    ] dev-python/cryptography-2.1.4-r1::gentoo  USE="-libressl {-test}" PYTHON_TARGETS="python2_7 python3_5 -pypy -pypy3 -python3_4 -python3_6" 0 KiB
[ebuild  rR    ] x11-base/xorg-server-1.19.5-r2:0/1.19.5::gentoo  USE="glamor ipv6 suid udev xorg -debug -dmx -doc -kdrive -libressl -minimal (-selinux) -static-libs (-systemd) -tslib -unwind -wayland -xcsecurity -xephyr -xnest -xvfb" 0 KiB
[ebuild  rR    ] app-text/mupdf-1.12.0-r2:0/1.12.0::gentoo  USE="X curl lcms opengl openssl -javascript -libressl -static -static-libs -vanilla" 0 KiB
[ebuild   R    ] media-libs/libwebp-1.0.0:0/7::gentoo  USE="gif jpeg opengl png tiff (-neon) -static-libs -swap-16bit-csp" ABI_X86="32* (64) (-x32)" CPU_FLAGS_X86="avx2 sse2 sse4_1" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-taglib-1.12.4:1.0::gentoo  ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-gdkpixbuf-1.12.4:1.0::gentoo  ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-v4l2-1.12.4:1.0::gentoo  USE="udev" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-jpeg-1.12.4:1.0::gentoo  ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-vpx-1.12.4:1.0::gentoo  ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild  rR    ] net-misc/openssh-7.6_p1-r5::gentoo  USE="X ldap pam pie ssl -X509 -audit -bindist -debug -hpn -kerberos -ldns -libedit -libressl -livecd -sctp (-selinux) -skey -static {-test}" 0 KiB
[ebuild   R    ] dev-cpp/gtkmm-3.22.2:3.0::dantrell-gnome  USE="X (-aqua) -doc {-test} -wayland" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild  rR    ] net-misc/wget-1.19.5::gentoo  USE="ipv6 nls pcre ssl zlib -debug -gnutls -idn -libressl -ntlm -static {-test} -uuid" 0 KiB
[ebuild   R    ] dev-libs/json-glib-1.4.2::dantrell-gnome  USE="introspection -debug" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild  rR    ] dev-vcs/git-2.17.0::gentoo  USE="blksha1 curl gnome-keyring gpg iconv nls pcre pcre-jit perl python threads webdav -cgi -cvs -doc -emacs -highlight -libressl -mediawiki -mediawiki-experimental (-ppcsha1) -subversion {-test} -tk -xinetd" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild  rR    ] app-crypt/mit-krb5-1.16.1::gentoo  USE="keyutils nls pkinit threads -doc -libressl -openldap (-selinux) {-test} -xinetd" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild  rR    ] app-crypt/rhash-1.3.6-r1::gentoo  USE="nls ssl -debug -libressl -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild  rR    ] net-analyzer/nmap-7.70::gentoo  USE="ipv6 nls nse ssl -libressl -libssh2 -ncat -ndiff -nmap-update -nping (-system-lua) -zenmap" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild   R   #] net-libs/glib-networking-2.54.1::dantrell-gnome-3-26  USE="gnome libproxy ssl -smartcard {-test}" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] media-libs/libquvi-0.9.4-r1:0/8::gentoo  USE="nls -examples -static-libs" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R   #] net-libs/libsoup-2.60.3:2.4::dantrell-gnome-3-26  USE="introspection ssl -debug -gssapi -samba {-test} -vala" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] net-dns/avahi-0.7-r1::gentoo  USE="dbus gdbm gtk3 introspection ipv6 nls -autoipd -bookmarks -doc -gtk -howl-compat -mdnsresponder-compat -mono -python -qt5 (-selinux) {-test}" ABI_X86="32* (64) (-x32)" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild   R    ] virtual/krb5-0-r1::gentoo  ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] net-libs/rest-0.8.1:0.7::dantrell-gnome  USE="introspection {-test}" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] net-libs/gssdp-1.0.2:0/3::dantrell-gnome  USE="introspection -gtk" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] media-gfx/exiv2-0.26_p20180319:0/26::gentoo  USE="nls png -doc -examples -webready -xmp" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] media-libs/jasper-2.0.14:0/4::gentoo  USE="jpeg opengl -doc {-test}" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] net-libs/gupnp-1.0.2:0/4::dantrell-gnome  USE="introspection networkmanager -connman" ABI_X86="32* (64) (-x32)" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild     U  ] media-gfx/shotwell-0.28.3::dantrell-gnome [0.28.2::dantrell-gnome] 0 KiB
[ebuild  N     ] gnome-extra/gnome-todo-3.26.2::dantrell-gnome-3-26  USE="introspection" 0 KiB
[ebuild  rR    ] media-sound/pulseaudio-11.1::gentoo  USE="X alsa alsa-plugin asyncns bluetooth caps dbus gdbm glib gnome ipv6 orc ssl tcpd udev webrtc-aec -doc -equalizer -gtk -jack -libressl -libsamplerate -lirc -native-headset (-neon) -ofono-headset (-oss) -qt4 -realtime (-selinux) -sox (-system-wide) (-systemd) {-test} -zeroconf" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] www-client/chromium-67.0.3396.30::gentoo  USE="cups gnome-keyring hangouts (pic) proprietary-codecs pulseaudio suid system-icu -component-build -custom-cflags -jumbo-build -kerberos (-neon) (-selinux) (-system-ffmpeg) (-system-libvpx) (-tcmalloc) -widevine%" L10N="am ar bg bn ca cs da de el en-GB es es-419 et fa fi fil fr gu he hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr sv sw ta te th tr uk vi zh-CN zh-TW" 0 KiB
[ebuild   R    ] gnome-base/gnome-extra-apps-3.26.0:3.0::dantrell-gnome-3-26  USE="bijiben epiphany evolution fonts games recipes share shotwell todo* tracker -anjuta -boxes -builder -california -empathy (-flashback) -geary -gnote -latexila -multiwriter -simple-scan" 0 KiB

Total: 70 packages (3 upgrades, 2 new, 3 in new slots, 62 reinstalls), Size of downloads: 12151 KiB

The following packages are causing rebuilds:

  (dev-libs/openssl-1.1.1_pre6:0/1.1::gentoo, ebuild scheduled for merge) causes rebuilds for:
    (net-misc/openssh-7.6_p1-r5:0/0::gentoo, ebuild scheduled for merge)
    (dev-lang/python-3.5.5-r1:3.5/3.5m::gentoo, ebuild scheduled for merge)
    (net-libs/neon-0.30.2:0/27::gentoo, ebuild scheduled for merge)
    (net-libs/nodejs-8.11.1:0/0::gentoo, ebuild scheduled for merge)
    (dev-python/m2crypto-0.27.0-r1:0/0::gentoo, ebuild scheduled for merge)
    (app-crypt/mit-krb5-1.16.1:0/0::gentoo, ebuild scheduled for merge)
    (x11-base/xorg-server-1.19.5-r2:0/1.19.5::gentoo, ebuild scheduled for merge)
    (dev-lang/python-2.7.14-r2:2.7/2.7::gentoo, ebuild scheduled for merge)
    (net-misc/curl-7.59.0:0/0::gentoo, ebuild scheduled for merge)
    (app-admin/apache-tools-2.4.33:0/0::gentoo, ebuild scheduled for merge)
    (www-servers/apache-2.4.33:2/2::gentoo, ebuild scheduled for merge)
    (media-sound/pulseaudio-11.1:0/0::gentoo, ebuild scheduled for merge)
    (app-crypt/rhash-1.3.6-r1:0/0::gentoo, ebuild scheduled for merge)
    (app-arch/libarchive-3.3.2:0/13::gentoo, ebuild scheduled for merge)
    (net-misc/wget-1.19.5:0/0::gentoo, ebuild scheduled for merge)
    (net-dns/bind-tools-9.12.1:0/0::gentoo, ebuild scheduled for merge)
    (net-misc/iputils-20171016_pre-r1:0/0::gentoo, ebuild scheduled for merge)
    (dev-vcs/git-2.17.0:0/0::gentoo, ebuild scheduled for merge)
    (net-nds/openldap-2.4.45:0/0::gentoo, ebuild scheduled for merge)
    (net-wireless/wpa_supplicant-2.6-r6:0/0::gentoo, ebuild scheduled for merge)
    (dev-lang/ruby-2.3.7:2.3/2.3::gentoo, ebuild scheduled for merge)
    (www-client/w3m-0.5.3_p20180125:0/0::gentoo, ebuild scheduled for merge)
    (dev-perl/Net-SSLeay-1.820.0:0/0::gentoo, ebuild scheduled for merge)
    (net-analyzer/nmap-7.70:0/0::gentoo, ebuild scheduled for merge)
    (net-misc/dhcp-4.4.1:0/0::gentoo, ebuild scheduled for merge)
    (dev-python/cryptography-2.1.4-r1:0/0::gentoo, ebuild scheduled for merge)
    (app-text/mupdf-1.12.0-r2:0/1.12.0::gentoo, ebuild scheduled for merge)

Would you like to merge these packages? [Yes/No]


grazie e come al solito grazie :)
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20099
Location: here

PostPosted: Thu May 10, 2018 12:30 pm    Post subject: Reply with quote

E ancora ti vuole installare openssl-1.1 :? .
Ce l'hai ancora scritto in package.unmask?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Thu May 10, 2018 12:42 pm    Post subject: Reply with quote

lo ho tolto .. ora vediamo .. ma lo dovrei maskerare ?
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Thu May 10, 2018 12:44 pm    Post subject: Reply with quote

Code:
Burrows /home/marco # emerge --ask -uDNv --with-bdeps y --backtrack=300 --verbose-conflict @world --autounmask -n
WARNING: One or more repositories have been ignored due to duplicate
  profiles/repo_name entries:

  /, gentoo, /usr/portage overrides
    /var/lib/layman/gentoo

  All profiles/repo_name entries must be unique in order to avoid having
  duplicates ignored. Set PORTAGE_REPO_DUPLICATE_WARN="0" in
  /etc/portage/make.conf if you would like to disable this warning.



These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] dev-libs/openssl-1.0.2o-r1::gentoo [1.0.2o::gentoo] USE="asm sslv3 tls-heartbeat zlib -bindist -gmp -kerberos -rfc3779 -sctp -sslv2 -static-libs {-test} -vanilla" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="(sse2)" 0 KiB
[ebuild  NS    ] sys-kernel/gentoo-sources-4.16.8:4.16.8::gentoo [4.14.35:4.14.35::gentoo, 4.16.7:4.16.7::gentoo] USE="-build -experimental -symlink" 210 KiB
[ebuild  NS    ] dev-lang/ruby-2.5.1:2.5::gentoo [2.3.7:2.3::gentoo] USE="berkdb gdbm ipv6 rdoc ssl -debug -doc -examples -jemalloc -libressl -rubytests -socks5 -static-libs -tk -xemacs" 11086 KiB
[ebuild   R    ] dev-ruby/rubygems-2.7.6::gentoo  USE="-server {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild   R    ] virtual/rubygems-14::gentoo  RUBY_TARGETS="ruby23 ruby25* (-rbx) -ruby24" 0 KiB
[ebuild  N     ] dev-ruby/xmlrpc-0.3.0::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25 -ruby24" 34 KiB
[ebuild   R    ] dev-ruby/minitest-5.11.3:5::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild  NS    ] dev-ruby/did_you_mean-1.2.1:2.5::gentoo [1.0.2:1::gentoo] USE="{-test}" RUBY_TARGETS="ruby25" 21 KiB
[ebuild   R    ] dev-ruby/net-telnet-0.1.1-r1:1::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild   R    ] dev-ruby/power_assert-1.1.1::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild   R    ] dev-ruby/test-unit-3.2.7:2::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild   R    ] dev-ruby/rake-12.3.1::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild   R    ] dev-ruby/json-2.1.0:2::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild   R    ] dev-ruby/racc-1.4.14::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild   R    ] dev-ruby/kpeg-1.1.0:1::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild   R    ] dev-ruby/rdoc-6.0.1::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild   R    ] dev-ruby/rdiscount-2.2.0.1::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild   R    ] dev-ruby/rake-compiler-1.0.4::gentoo  USE="{-test}" RUBY_TARGETS="ruby23 ruby25* -ruby24" 0 KiB
[ebuild   R    ] x11-libs/libXScrnSaver-1.2.2-r1::gentoo  USE="-static-libs" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] dev-libs/cyrus-sasl-2.1.26-r11:2::gentoo  USE="berkdb gdbm pam ssl -authdaemond -java -kerberos -ldapdb -libressl -mysql -openldap -postgres -sample (-selinux) -sqlite -srp -static-libs -urandom" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild     U  ] x11-libs/libdrm-2.4.92::gentoo [2.4.91::gentoo] USE="-libkms -valgrind" ABI_X86="32 (64) (-x32)" VIDEO_CARDS="intel -amdgpu (-exynos) (-freedreno) -nouveau (-omap) -radeon (-tegra) (-vc4) (-vivante) -vmware" 803 KiB
[ebuild   R    ] media-libs/libwebp-1.0.0:0/7::gentoo  USE="gif jpeg opengl png tiff (-neon) -static-libs -swap-16bit-csp" ABI_X86="32* (64) (-x32)" CPU_FLAGS_X86="avx2 sse2 sse4_1" 0 KiB
[ebuild   R    ] media-libs/jasper-2.0.14:0/4::gentoo  USE="jpeg opengl -doc {-test}" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild  N     ] x11-wm/i3-4.15::gentoo  USE="-debug -doc {-test}" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-taglib-1.12.4:1.0::gentoo  ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-v4l2-1.12.4:1.0::gentoo  USE="udev" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-jpeg-1.12.4:1.0::gentoo  ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-vpx-1.12.4:1.0::gentoo  ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] media-plugins/gst-plugins-gdkpixbuf-1.12.4:1.0::gentoo  ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] dev-cpp/gtkmm-3.22.2:3.0::dantrell-gnome  USE="X (-aqua) -doc {-test} -wayland" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] dev-libs/json-glib-1.4.2::dantrell-gnome  USE="introspection -debug" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] media-libs/libquvi-0.9.4-r1:0/8::gentoo  USE="nls -examples -static-libs" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R   #] net-libs/glib-networking-2.54.1::dantrell-gnome-3-26  USE="gnome libproxy ssl -smartcard {-test}" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] media-gfx/exiv2-0.26_p20180319:0/26::gentoo  USE="nls png -doc -examples -webready -xmp" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R   #] net-libs/libsoup-2.60.3:2.4::dantrell-gnome-3-26  USE="introspection ssl -debug -gssapi -samba {-test} -vala" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] net-dns/avahi-0.7-r1::gentoo  USE="dbus gdbm gtk3 introspection ipv6 nls -autoipd -bookmarks -doc -gtk -howl-compat -mdnsresponder-compat -mono -python -qt5 (-selinux) {-test}" ABI_X86="32* (64) (-x32)" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild   R    ] virtual/krb5-0-r1::gentoo  ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] net-libs/rest-0.8.1:0.7::dantrell-gnome  USE="introspection {-test}" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] net-libs/gssdp-1.0.2:0/3::dantrell-gnome  USE="introspection -gtk" ABI_X86="32* (64) (-x32)" 0 KiB
[ebuild   R    ] net-libs/gupnp-1.0.2:0/4::dantrell-gnome  USE="introspection networkmanager -connman" ABI_X86="32* (64) (-x32)" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild     U  ] media-gfx/shotwell-0.28.3::dantrell-gnome [0.28.2::dantrell-gnome] 0 KiB
[ebuild  N     ] gnome-extra/gnome-todo-3.26.2::dantrell-gnome-3-26  USE="introspection" 0 KiB
[ebuild   R    ] www-client/chromium-67.0.3396.30::gentoo  USE="cups gnome-keyring hangouts (pic) proprietary-codecs pulseaudio suid system-icu -component-build -custom-cflags -jumbo-build -kerberos (-neon) (-selinux) (-system-ffmpeg) (-system-libvpx) (-tcmalloc) -widevine%" L10N="am ar bg bn ca cs da de el en-GB es es-419 et fa fi fil fr gu he hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr sv sw ta te th tr uk vi zh-CN zh-TW" 0 KiB
[ebuild   R    ] gnome-base/gnome-extra-apps-3.26.0:3.0::dantrell-gnome-3-26  USE="bijiben epiphany evolution fonts games recipes share shotwell todo* tracker -anjuta -boxes -builder -california -empathy (-flashback) -geary -gnote -latexila -multiwriter -simple-scan" 0 KiB

Total: 44 packages (3 upgrades, 3 new, 3 in new slots, 35 reinstalls), Size of downloads: 12151 KiB

Would you like to merge these packages? [Yes/No]


ecco ora perche` vuole reinstallarne 35 ?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20099
Location: here

PostPosted: Thu May 10, 2018 12:58 pm    Post subject: Reply with quote

drudox wrote:
lo ho tolto .. ora vediamo .. ma lo dovrei maskerare ?

No perche' lo e' gia' devi mettere --autounmask -n nella variabile EMERGE_DEFAULT_OPTS in /etc/portage/make.conf
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20099
Location: here

PostPosted: Thu May 10, 2018 1:01 pm    Post subject: Reply with quote

drudox wrote:
ecco ora perche` vuole reinstallarne 35 ?

Perche' nel profilo e' stato aggiunto ruby_targets_ruby25 e quindi portage deve fare il reinstall di quei pacchetti per aggiungere il supporto a ruby25 (in tutti i R infatti vedi ruby25* dove l'asterisco significa che e' stato attivato)
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Thu May 10, 2018 1:23 pm    Post subject: Reply with quote

ah ok grazie del chiarimento .. ma c'e` un modo per evitarlo ?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20099
Location: here

PostPosted: Thu May 10, 2018 3:39 pm    Post subject: Reply with quote

drudox wrote:
ah ok grazie del chiarimento .. ma c'e` un modo per evitarlo ?

Se eviti le ozpioni -N o -U probabilmente si ma prima o poi dovrai farli lo stesso quei aggirnamenti quindi non vedo la tua riluttanza nel farli
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum